const Mesa = require('vendor/Mesa.js');
const ShopifyGraphql = require('vendor/ShopifyGraphql.js');

module.exports = new class {
  script = (payload, context) => {
    let vars = context.steps;
    let query = `
      mutation MyMutation($inventoryPolicy:ProductVariantInventoryPolicy, $id:ID!) {
        productVariantUpdate(input: {id: $id, inventoryPolicy: $inventoryPolicy}) {
          productVariant {
            inventoryPolicy
          }
        }
      }
    `;

    let response = ShopifyGraphql.send(query, {
      "id": "gid://shopify/ProductVariant/" + vars.shopify.product_variant_id,
      "inventoryPolicy": vars.transform.inventory_policy,
    });

    Mesa.output.next({"response": response});
  }
}
